Bug 1044109 - [abrt] yum-cron: yumRepo.py:1030:_getFile:NoMoreMirrorsRepoError: failure: repodata/repomd.xml from elegance-colors: [Errno 256] No more mirrors to try.
Summary: [abrt] yum-cron: yumRepo.py:1030:_getFile:NoMoreMirrorsRepoError: failure: re...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90b9230c08bfa6abc7bbceaa091...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 20:03 UTC by smanocch
Modified: 2015-06-29 13:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:34:27 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.92 KB, text/plain)
2013-12-17 20:03 UTC, smanocch
no flags Details
File: environ (213 bytes, text/plain)
2013-12-17 20:03 UTC, smanocch
no flags Details

Description smanocch 2013-12-17 20:03:02 UTC
Version-Release number of selected component:
yum-cron-3.4.3-122.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python -tt /usr/sbin/yum-cron /etc/yum/yum-cron-hourly.conf
dso_list:       yum-3.4.3-122.fc20.noarch
executable:     /usr/sbin/yum-cron
kernel:         3.12.5-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
yumRepo.py:1030:_getFile:NoMoreMirrorsRepoError: failure: repodata/repomd.xml from elegance-colors: [Errno 256] No more mirrors to try.
http://download.opensuse.org/repositories/home:/satya164:/elegance-colors/Fedora_20/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found

Traceback (most recent call last):
  File "/usr/sbin/yum-cron", line 721, in <module>
    main()
  File "/usr/sbin/yum-cron", line 718, in main
    base.updatesCheck()
  File "/usr/sbin/yum-cron", line 606, in updatesCheck
    self.populateUpdateMetadata()
  File "/usr/sbin/yum-cron", line 418, in populateUpdateMetadata
    self.upinfo
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1113, in <lambda>
    upinfo = property(fget=lambda self: self._getUpdateinfo(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1023, in _getUpdateinfo
    if 'updateinfo' not in repo.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1670, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1666, in _getRepoXML
    self._loadRepoXML(text=self.ui_id)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1657, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1631, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1456, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1234, in _getFileRepoXML
    size=102400) # setting max size as 100K
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1030, in _getFile
    raise e
NoMoreMirrorsRepoError: failure: repodata/repomd.xml from elegance-colors: [Errno 256] No more mirrors to try.
http://download.opensuse.org/repositories/home:/satya164:/elegance-colors/Fedora_20/repodata/repomd.xml: [Errno 14] HTTP Error 404 - Not Found

Local variables in innermost frame:
relative: 'repodata/repomd.xml'
errors: [('http://download.opensuse.org/repositories/home:/satya164:/elegance-colors/Fedora_20/repodata/repomd.xml', '[Errno 14] HTTP Error 404 - Not Found')]
e: NoMoreMirrorsRepoError()
start: None
dirstat: posix.statvfs_result(f_bsize=4096, f_frsize=4096, f_blocks=3629320, f_bfree=861802, f_bavail=820506, f_files=933888, f_ffree=583053, f_favail=583053, f_flag=4096, f_namemax=255)
text: 'elegance-colors/20'
self: <yum.yumRepo.YumRepository object at 0x2a25d90>
cache: True
reget: None
avail: 3360792576
headers: ()
checkfunc: (<bound method YumRepository._checkRepoXML of <yum.yumRepo.YumRepository object at 0x2a25d90>>, (), {})
errstr: 'failure: repodata/repomd.xml from elegance-colors: [Errno 256] No more mirrors to try.'
copy_local: 1
kwargs: {}
url: None
end: None
local: '/var/cache/yum/x86_64/20/elegance-colors/repomdsLQzN8tmp.xml'
size: 102400

Comment 1 smanocch 2013-12-17 20:03:13 UTC
Created attachment 837933 [details]
File: backtrace

Comment 2 smanocch 2013-12-17 20:03:15 UTC
Created attachment 837934 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 10:01:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 13:34:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.